Package org.eclipse.mat.query.quantize

## Class Quantize.Builder

- java.lang.Object
- - org.eclipse.mat.query.quantize.Quantize.Builder

Enclosing class:
  Quantize

    public static final class Quantize.Builder
    extends Object

`Quantize` factory

### Method Summary

All Methods Instance Methods Concrete Methods
`Quantize.Builder` `addDerivedData​(ContextDerivedData.DerivedOperation operation)`
`Quantize` `build()` Creates the Quantize object.
`Quantize.Builder` `column​(String label, Quantize.Function.Factory function)` Add a column identified by label and function.
`Quantize.Builder` `column​(String label, Quantize.Function.Factory function, Column.SortDirection sortDirection)` Add a column identified by label and function and sort the result in the given sort direction.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### column

    public Quantize.Builder column​(String label,
                                   Quantize.Function.Factory function)

Add a column identified by label and function.

Parameters:
  `label` - a label for the column
  `function` - a function for the column
Returns:
  the original `Quantize.Builder` so more operations can be chained.

#### column

    public Quantize.Builder column​(String label,
                                   Quantize.Function.Factory function,
                                   Column.SortDirection sortDirection)

Add a column identified by label and function and sort the result in the given sort direction.

Parameters:
  `label` - the label for the column
  `function` - a function for the column
  `sortDirection` - the direction to sort
Returns:
  the original `Quantize.Builder` so more operations can be chained.

#### addDerivedData

    public Quantize.Builder addDerivedData​(ContextDerivedData.DerivedOperation operation)

#### build

    public Quantize build()

Creates the Quantize object.

Returns:
  the`Quantize` object created and modified by the `Quantize.Builder`, ready for use.